# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:46 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RC4
Summary:	Crypt::RC4 Perl module - RC4 encryption algorithm implementation
Summary(pl):	Modu Perla Crypt::RC4 - implementacja algorytmu szyfrowania RC4
Name:		perl-Crypt-RC4
Version:	2.02
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple implementation of the RC4 algorithm. RC4 is a stream cipher
designed by Rivest for RSA Data Security (now RSA Security). It is a
variablekey-size stream cipher with byte-oriented operations. The
algorithm is based on the use of a random permutation.

%description -l pl
Prosta implementacja algorytmu RC4. RC4 jest szyfrem strumieniowym
opracowanym przez Rivesta dla RSA Data Security (teraz RSA Security).
Jest to szyfr strumieniowy o zmiennej dugoci klucza z operacjami
zorientowanymi na bajty. Bazuje na uywaniu losowych permutacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Crypt/RC4.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-RC4.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:33  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

